#include <stdio.h>

void printc(char val)
{
  printf("%d\n", val);
}

void prints(short val)
{
  printf("%d\n", val);
}

void printi(int val)
{
  printf("%d\n", val);
}

void printl(long val)
{
  printf("%ld\n", val);
}

void printcx(char val)
{
  printf("%x\n", val);
}

void printsx(short val)
{
  printf("%x\n", val);
}

void printix(int val)
{
  printf("%x\n", val);
}

void printlx(long val)
{
  printf("%lx\n", val);
}

void printstr(char *str)
{
  printf("%s\n", str);
}
